
Redmine - Defect #27984

Arabic Support Issues

2018-01-13 12:43 - Omar Shaker

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.3

Description

Hi,

When ever I write using Arabic language in redmine, I get an internal error.

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2018-01-13 13:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Invalid

Please use forum for question.

#2 - 2018-01-13 13:21 - Omar Shaker

log says:

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xD9\x82\xD9\x8A\xD8\xBA...' for column 'notes' at row 1: INSERT INTO

`journals` (`journalized_id`, `journalized_type`, `user_id`, `notes`, `created_on`) VALUES (28, 'Issue', 6, '15:26:00 13-01-2018' ,'قيغايفقت')):

app/models/journal.rb:82:in `save'

app/models/issue.rb:1839:in `create_journal'

app/models/issue.rb:210:in `create_or_update'

app/controllers/issues_controller.rb:558:in `block in save_issue_with_child_records'

app/controllers/issues_controller.rb:546:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:168:in `update'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#3 - 2018-01-13 13:25 - Omar Shaker

Toshi MARUYAMA wrote:

Please use forum for question.

 okay: https://www.redmine.org/boards/1/topics/54399

help please

#4 - 2019-08-17 18:29 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
